Home Downloads Fóruns Pesquisas Sua Conta
Navegação
icon_home.gif HomeNovo conteúdo !
· Forums
· Equipe/Team
· Blog CADKlein Oficial
· Blog CADKlein Antigo
· Loja CADKlein
· Aulas ao vivo
· Podcast CADKlein
· Boletins CADKlein
· Galeria/Gallery
· Contato/Contact
· Recomende-nos

icon_vip.gif Membro VIPNovo conteúdo !Show/Hide content
· InformaçõesNovo conteúdo !

icon_usuarios.gif UsuáriosShow/Hide content
· Sua Conta/Account
_SOMRESTRICTEDMEMBERS Msg Privadas
_SOMRESTRICTEDMEMBERS Members_List
favoritos.gif NewsShow/Hide content
_SOMRESTRICTEDGROUP News Submission
· News Topics
· News Archive
som_downloads.gif DownloadsNovo conteúdo !Show/Hide content
· DownloadsNovo conteúdo !
icon_estatisticasl.gif InformaçõesShow/Hide content
· Pesquisas/Surveys
_SOMRESTRICTEDMEMBERS Estatísticas
· Top 10
som_downloads.gif LinksShow/Hide content
· Web LinksNovo conteúdo !
utils.gif UtilitáriosShow/Hide content
· conversor
icon_comunidade.gif EquipeShow/Hide content
· Administração do site
· Forums
nuke.gif Comunidade

CADKLein no Yahoogrupos
Faça parte de nossa lista de discussão no Yahoogrupos,
Grupo CADKLEIN.

Simplesmente digite o seu email no campo abaixo:

User Menu
Bem-vindo

Visitante

Apelido
Senha
Fazer Registro

Usuários:
Último(a): barrosx
Pendente(s): 20
Hoje:: 0
Ontem: 0
Total: 28726

On-line Agora [0]:
Visitantes: 0
Cadastrados: 0
Usuário On-Line:


Páginas Vistas:
Hoje: 5108
Total: 21170876

Google Ads

CADKLEIN: Forums

CADKLEIN :: Exibir tópico - Blocos que não acho o Nome e nem Referência
Main  •  FAQ  •  Search  •  User Groups  •  Profile  •  Members List  •  Private Messages
Arcade  •  Attachments  •  Buddy List  •  Ranks  •  Rules  •  Smilies List  •  Statistics  •  Staff


Blocos que não acho o Nome e nem Referência

 
Novo Tópico   Responder Mensagem    CADKLEIN - Índice do Fórum -> AutoCAD 2D Exibir página para Impressão
Exibir mensagem anterior :: Exibir próxima mensagem  


Autor Mensagem
Silaspr
Ferro
Ferro


Registro: Mar 29, 2011
Mensagens: 10
Localização: São Paulo

Status: Offline

MensagemEnviada: Qua 30 Mai 2012 2:38:46 pm    Assunto: Blocos que não acho o Nome e nem Referência Responder com Citação Scroll Down to Next postGo to last Post of Page

Olá pessoal, estou tendo um problema aqui em alguns projetos. Preciso contar as Luminárias de um projeto, mas o projeto todo no Model veio bloqueado preciso contar as luminárias, ai quando explodo o desenho não acho os blocos das lumináiras para contagem. Quando clico duas vezes em cima da Luminária até abre a caixa de Block, mas não aparece o Nome e nem o Desenho do Bloco na Janela. Alguém sabe me dizer alguma solução pra esse caso? Grato.
Voltar ao Topo
Ver o perfil de Usuários Enviar Mensagem Particular Enviar Email

Autor Mensagem
mcm
Ouro
Ouro


Registro: Oct 04, 2003
Mensagens: 321


Status: Offline

MensagemEnviada: Qua 30 Mai 2012 7:53:14 pm    Assunto: Responder com Citação Go to Top of PageScroll Up to Previous postScroll Down to Next postGo to last Post of Page

Será que ao explodir as entidades não foram para a layer original que por sua vez esta congelado?

Marcio

Voltar ao Topo
Ver o perfil de Usuários Enviar Mensagem Particular

Autor Mensagem
Silaspr
Ferro
Ferro


Registro: Mar 29, 2011
Mensagens: 10
Localização: São Paulo

Status: Offline

MensagemEnviada: Qui 31 Mai 2012 11:49:21 am    Assunto: Responder com Citação Go to Top of PageScroll Up to Previous postScroll Down to Next postGo to last Post of Page

Não, pois quando abre o desenho no Model e da dois cliques em qualquer parte do desenho abre a janela do Bloco e mostra o desenho todo.
Voltar ao Topo
Ver o perfil de Usuários Enviar Mensagem Particular Enviar Email

Autor Mensagem
LuKlein
Equipe CADKLEIN
Equipe CADKLEIN


Registro: Feb 27, 2003
Mensagens: 2771
Localização: Brasil

Status: Offline

MensagemEnviada: Qui 31 Mai 2012 12:12:24 pm    Assunto: Responder com Citação Go to Top of PageScroll Up to Previous postScroll Down to Next postGo to last Post of Page

Provavelmente foi usado algum lisp, como o lockup, para travar a edição.
Quando vc seleciona o desenho e abre o Properties, deve aparecer como bloco ou como objeto Minsert, nos dê mais detalhes e se possível upe o arquivo no www.gigasize.com e nos passe o link para podermos analisar e ver se podemos ajudar.


____________
Abraços,
Luciana Klein
Sócia-Fundadora CADKlein
Autodesk Expert Elite
Autora Livros AutoCAD:
2006 2D, 2008 2D/3D
2010 2D/3D, 2012 2D/3D
AutoCAD 2009/10/11/12/13 Certified Professional/Associate
www.lucianaklein.com/loja
Voltar ao Topo
Ver o perfil de Usuários Enviar Mensagem Particular Enviar Email Visitar a homepage do Usuário

Autor Mensagem
Silaspr
Ferro
Ferro


Registro: Mar 29, 2011
Mensagens: 10
Localização: São Paulo

Status: Offline

MensagemEnviada: Qui 31 Mai 2012 1:24:11 pm    Assunto: Responder com Citação Go to Top of PageScroll Up to Previous postScroll Down to Next postGo to last Post of Page

Segue link do arquivo.
http://www.gigasize.com/get/vxf188t8mhb
Grato.

Voltar ao Topo
Ver o perfil de Usuários Enviar Mensagem Particular Enviar Email

Autor Mensagem
LuKlein
Equipe CADKLEIN
Equipe CADKLEIN


Registro: Feb 27, 2003
Mensagens: 2771
Localização: Brasil

Status: Offline

MensagemEnviada: Qui 31 Mai 2012 5:35:25 pm    Assunto: Responder com Citação Go to Top of PageScroll Up to Previous postScroll Down to Next postGo to last Post of Page

Usei o AutoCAD 2012, explodi o desenho e nada sumiu.
Isolei as Layers que tinham "Luminaria" nos nomes, são 3 layers e usei o comando SELECT para contar, o resultado foi de 2115 blocos.
O problema é que os blocos que começam com *U não são editáveis, nem são contados através do comando BCOUNT.
Mas dá pra saber quantos são usando o SELECT.



____________
Abraços,
Luciana Klein
Sócia-Fundadora CADKlein
Autodesk Expert Elite
Autora Livros AutoCAD:
2006 2D, 2008 2D/3D
2010 2D/3D, 2012 2D/3D
AutoCAD 2009/10/11/12/13 Certified Professional/Associate
www.lucianaklein.com/loja
Voltar ao Topo
Ver o perfil de Usuários Enviar Mensagem Particular Enviar Email Visitar a homepage do Usuário

Autor Mensagem
Silaspr
Ferro
Ferro


Registro: Mar 29, 2011
Mensagens: 10
Localização: São Paulo

Status: Offline

MensagemEnviada: Qui 31 Mai 2012 5:45:46 pm    Assunto: Responder com Citação Go to Top of PageScroll Up to Previous postScroll Down to Next postGo to last Post of Page

Sim Lú, mas eu queria saber pq eles não aparecem como Blocos qdo da dois cliques ou abre o Blockeditor...Existe alguma outra forma pra visualizar e contar esses blocos? Grato.
Voltar ao Topo
Ver o perfil de Usuários Enviar Mensagem Particular Enviar Email

Autor Mensagem
LuKlein
Equipe CADKLEIN
Equipe CADKLEIN


Registro: Feb 27, 2003
Mensagens: 2771
Localização: Brasil

Status: Offline

MensagemEnviada: Qui 31 Mai 2012 5:59:09 pm    Assunto: Responder com Citação Go to Top of PageScroll Up to Previous postScroll Down to Next postGo to last Post of Page

Incialmente, pelas vias normais, não tem como, pois eles foram transformados em blocos anônimos, ou seja: não são editáveis.
Mas... pesquisando no google, encontrei esse site:
http://www.draftsperson.net/index.php?title=Anonymous_Blocks_in_AutoCAD
Que fala desse assunto e tem até um lisp pra transformar blocos anônimos em blocos "normais", o "problema" é que ele vai nomear cada bloco separadamente. Exemplo:
*U236 - TEMP236
*U237 - TEMP237 e assim sucessivamente....

Ou seja: você tem 2115 blocos que são anônimos, mas estão nomeados diferentemente, o lisp transforma em blocos normais, mas com nomes diferentes também.
Note que esse lisp tem 2 comandos: UNANON - permite selecionar apenas um bloco e UNANONALL - que transforma todos os blocos anônimos em blocos normais.
Não sei dizer se o UNANONALL funciona perfeitamente, pq meu AutoCAD ainda está processando o comando, são 2115 blocos.... e parece que travou no 241.


Código do lisp:

Código:
;===============================================
;    UnAnon.Lsp                                   Jul 05, 1998
;======================================
(princ "\nCopyright (C) 1998, Fabricated Designs, Inc.")
(princ "\nLoading UnAnon v1.0 ")
(setq uan_ nil lsp_file "UnAnon")

;================== For Automated Calling From Another Program =========
(defun uan_auto (ar1) (UnAnon ar1))

;================== Macros =============================================
(defun PDot ()(princ "."))

(PDot);++++++++++++ Set Modes & Error ++++++++++++++++++++++++++++++++++
(defun uan_smd ()
 (SetUndo)
 (setq olderr *error*
      *error* (lambda (e)
                (and (/= e "quit / exit abort")
                     (princ (strcat "\nError: *** " e " *** ")))
                (command "_.UNDO" "_END" "_.U")
                (uan_rmd))
       uan_var '(
  ("CMDECHO"   . 0) ("MENUECHO" . 0) ("MENUCTL"   . 0) ("MACROTRACE" . 0)
  ("OSMODE"    . 0) ("SORTENTS" . 119)("MODEMACRO" . ".")
  ("BLIPMODE"  . 0) ("EXPERT"   . 0) ("SNAPMODE"  . 1) ("PLINEWID"   . 0.0)
  ("ORTHOMODE" . 1) ("GRIDMODE" . 0) ("ELEVATION" . 0) ("THICKNESS"  . 0)
  ("FILEDIA"   . 0) ("FILLMODE" . 0) ("SPLFRAME"  . 0) ("UNITMODE"   . 0)
  ("TEXTEVAL"  . 0) ("ATTDIA"   . 0) ("AFLAGS"    . 0) ("ATTREQ"     . 1)
  ("ATTMODE"   . 1) ("UCSICON"  . 1) ("HIGHLIGHT" . 1) ("REGENMODE"  . 1)
  ("COORDS"    . 2) ("DRAGMODE" . 2) ("DIMZIN"    . 1) ("PDMODE"     . 0)
  ("CECOLOR"   . "BYLAYER") ("CELTYPE" . "BYLAYER")))
 (foreach v uan_var
      (setq m_v (cons (getvar (car v)) m_v)
            m_n (cons (car v) m_n))
      (setvar (car v) (cdr v)))
 (princ (strcat (getvar "PLATFORM") " Release " (substr (ver) 18 2)
   " -  Convert To Anonymous Blocks ....\n"))
 (princ))

(PDot);++++++++++++ Return Modes & Error +++++++++++++++++++++++++++++++
(defun uan_rmd ()
  (setq *error* olderr)
  (mapcar 'setvar m_n m_v)
  (command "_.UNDO" "_END")
  (prin1))

(PDot);++++++++++++ Set And Start An Undo Group ++++++++++++++++++++++++
(defun SetUndo ()
 (and (zerop (getvar "UNDOCTL"))
      (command "_.UNDO" "_ALL"))
 (and (= (logand (getvar "UNDOCTL") 2) 2)
      (command "_.UNDO" "_CONTROL" "_ALL"))
 (and (= (logand (getvar "UNDOCTL") 8) 8)
      (command "_.UNDO" "_END"))
 (command "_.UNDO" "_GROUP"))

(PDot);++++++++++++ Get Entity Name ++++++++++++++++++++++++++++++++++++
(defun GetOne (/ st os)
 (setq os (getvar "SNAPMODE") s nil)
 (setvar "SNAPMODE" 0)
 (while (not st)
        (setq st (ssget)))
 (while (> (sslength st) 1)
        (setq st nil)
        (princ "\nOnly 1 At A Time Please\n")
        (while (not st)
               (setq st (ssget))))
 (setvar "SNAPMODE" os)
 (setq s (ssname st 0)))

(PDot);++++++++++++ Convert An Anonymous Block To Named Block ++++++++++
(defun UnAnon (b / tdef en ed bc bn bd in)          ;Supply ename
  (setq bn "TEMP1" bc 1)
  (while (tblsearch "BLOCK" bn)
         (setq bc (1+ bc) bn (strcat "TEMP" (itoa bc))))
  (and (= (type b) 'ENAME)
       (setq bd (entget b)
             in (cdr (assoc 2 bd))))
  (if (or (not bd)
          (not in)
          (/= "INSERT" (cdr (assoc 0 bd)))
          (/= "*U" (substr in 1 2))
          (= (logand (cdr (assoc 70 (tblsearch "BLOCK" in)))  4)  4)
          (= (logand (cdr (assoc 70 (tblsearch "BLOCK" in))) 16) 16)
          (= (logand (cdr (assoc 70 (tblsearch "BLOCK" in))) 32) 32))
       (progn
         (princ "*** Not An Anonomymous Block *** ")
         (setq bn nil bc nil bd nil in nil b nil)
         (exit)))
  (setq tdef (tblsearch "BLOCK" in)
          en (cdr (assoc -2 tdef))
          ed (entget en))
  (entmake (list (cons 0 "BLOCK")
                 (cons 2 bn)
                 (cons 70 0)
                 (cons 10 (cdr (assoc 10 tdef)))))
  (entmake ed)
  (while (setq en (entnext en))
         (setq ed (entget en))
         (entmake ed))
  (entmake (list (cons 0 "ENDBLK")))
  (setq bd (subst (cons 2 bn) (assoc 2 bd) bd))
  (entmod bd)
  (entupd b)
  (princ (strcat "\n" bn)))

(PDot);************ Main Program ***************************************
(defun uan_ (/ m_v m_n olderr uan_var s)
  (uan_smd)
  (GetOne)
  (UnAnon s)
  (uan_rmd))

(defun c:UnAnonall (/ ss i)
 (setq ss (ssget "X" (list (cons 0 "INSERT")(cons 67 (if (= (getvar "TILEMODE") 1) 0 1)))))
 (and ss
   (setq i (sslength ss))
   (while (not (minusp (setq i (1- i))))
          (setq en (ssname ss i))
          (if (= "*U" (substr (cdr (assoc 2 (entget en))) 1 2))
              (UnAnon en))))
 (prin1))

(PDot);************ Load Program ***************************************
(defun C:UnAnon () (uan_))
(if uan_ (princ "\nUnAnon Loaded\n"))
(prin1)
;================== End Program ========================================


Se o meu AutoCAD finalizar eu posto aqui se deu tudo certo.


____________
Abraços,
Luciana Klein
Sócia-Fundadora CADKlein
Autodesk Expert Elite
Autora Livros AutoCAD:
2006 2D, 2008 2D/3D
2010 2D/3D, 2012 2D/3D
AutoCAD 2009/10/11/12/13 Certified Professional/Associate
www.lucianaklein.com/loja
Voltar ao Topo
Ver o perfil de Usuários Enviar Mensagem Particular Enviar Email Visitar a homepage do Usuário

Autor Mensagem
Silaspr
Ferro
Ferro


Registro: Mar 29, 2011
Mensagens: 10
Localização: São Paulo

Status: Offline

MensagemEnviada: Sex 01 Jun 2012 10:22:51 am    Assunto: Responder com Citação Go to Top of PageScroll Up to Previous post

Obrigado Lú.
Pelo menos agora sei o caminho...
Vou tentar usar esse UNANONALL pra ver se consigo aqui.
Vlw

Voltar ao Topo
Ver o perfil de Usuários Enviar Mensagem Particular Enviar Email

Mostrar os tópicos anteriores:   
Novo Tópico   Responder Mensagem    CADKLEIN - Índice do Fórum -> AutoCAD 2D Todos os horários são GMT - 3 Hours
Página 1 de 1

Ir para:  
Enviar Mensagens Novas: Proibido.
Responder Tópicos Proibido
Editar Mensagens: Proibido.
Excluir Mensagens: Proibido.
Votar em Enquetes: Proibido.

Related topics
 Tópicos   Respostas   Autor   Exibições   Última mensagem 
Não há mensagens novas Quem é Quem??? 93 abroba 39334 Seg 23 Jul 2012 2:36:35 pm
weder_nti Exibir a última mensagem
Não há mensagens novas Autodesk oferece software gratuito para estudantes do SENAI 2 tonisc 5288 Ter 15 Ago 2006 10:02:22 pm
tonisc Exibir a última mensagem
Não há mensagens novas Não consigo abrir mais do que um arquivo... 2 ailtongd 4487 Sáb 27 Mai 2006 12:25:33 am
ailtongd Exibir a última mensagem
Não há mensagens novas Folha de impressão não atualiza 1 edvaldo 4179 Seg 10 Abr 2006 8:36:57 pm
Valdemarmorais Exibir a última mensagem
Não há mensagens novas A folha de impressão não atualiza - mesmo usando update. 0 edvaldo 3729 Seg 10 Abr 2006 4:12:05 pm
edvaldo Exibir a última mensagem
 


Powered by phpBB 2.0.10 © 2001-2003 phpBB Group

T-Platinum v.2.0.0 © TechGFX.com
Forums ©

Todos os logos e marcas registradas são propriedade de seus respectivos proprietários. Os comentários são propriedade e responsabilidade de seus autores,
todo o resto © 2002, 2003, 2004 e 2005 - Equipe CADKLEIN.
Você pode ter o conteúdo deste portal/fórum acessando os arquivos Backend?s (RSS) Conteúdo de nossos artigos em seu portal Conteúdo de nosso fórum em seu portal


PHP-Nuke Copyright © 2004 by Francisco Burzi. This is free software, and you may redistribute it under the GPL.
PHP-Nuke comes with absolutely no warranty, for details, see the license.
Powered by PHP-Nuke Platinum

Tempo para gerar esta página: 0.86 segundos
TechGFX